> ## Documentation Index
> Fetch the complete documentation index at: https://api.lawtte.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates a lead record (status, notes, case type, etc.)

> Updates a lead record (status, notes, case type, etc.).



## OpenAPI

````yaml /api-reference/openapi.json patch /api/leads/{id}
openapi: 3.1.0
info:
  title: Lawtte API
  version: v2
  description: >-
    REST API behind the Lawtte dashboard: AI voice and chat calls, agent
    configuration, leads, campaigns, contacts, and automation workflows.
  contact:
    name: Lawtte support
    email: contact@lawtte.ai
    url: https://www.lawtte.ai
servers:
  - url: https://www.lawtte.ai
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Voice & Chat
    description: Manage AI voice calls and chat sessions powered by Donna AI.
  - name: Agent Config
    description: Read and update AI agent prompts, voices, and configurations.
  - name: Appointments
    description: Check availability and book appointments via Cal.com integration.
  - name: Webhooks
    description: Receive real-time events after calls end.
  - name: Leads
    description: Create, manage, and analyze leads captured by your AI agents.
  - name: Campaigns
    description: Create and launch outbound call campaigns to lists of leads.
  - name: Contacts
    description: >-
      Import and sync contacts from CSV, OpenPhone, RingCentral, and practice
      management systems.
  - name: Workflows
    description: >-
      Build and manage automation workflows using a visual node-based flow
      editor.
  - name: Utilities
    description: Helper endpoints for AI-powered data extraction and widget testing.
paths:
  /api/leads/{id}:
    patch:
      tags:
        - Leads
      summary: Updates a lead record (status, notes, case type, etc.)
      description: Updates a lead record (status, notes, case type, etc.).
      operationId: patch-leads-id
      parameters:
        - name: id
          in: path
          required: true
          description: Identifier of the record in the URL.
          schema:
            type: string
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              required: []
              properties:
                status:
                  type: string
                  description: New lead status.
                notes:
                  type: string
                  description: Updated notes.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
              example:
                id: ...
                status: contacted
        '401':
          description: Missing or invalid credentials
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'Lawtte API key or session token: `Authorization: Bearer <token>`.'

````

## Related topics

- [Lists all leads for a firm](/api-reference/leads/lists-all-leads-for-a-firm.md)
- [Scans call logs for a firm, uses AI to extract lead information (name, phone, email, case type), deduplicates, and creates Supabase lead records](/api-reference/leads/scans-call-logs-for-a-firm-uses-ai-to-extract-lead-information-name-phone-email-case-type-deduplicates-and-creates-supabase-lead-records.md)
- [Returns a single lead by ID](/api-reference/leads/returns-a-single-lead-by-id.md)
- [Creates a new lead record for a firm](/api-reference/leads/creates-a-new-lead-record-for-a-firm.md)
- [Call webhooks](/guides/call-webhooks.md)
